Skip to main content
`Ctrl`+`K`

# PetscOptionsInsertStringYAML

Inserts YAML-formatted options into the options database from a string

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsInsertStringYAML(PetscOptions options, const char in_str[])

Logically Collective

## Input Parameters

- options - options database, use `NULL` for default global database

- in_str - YAML-formatted string options

## See Also

`PetscOptionsSetValue()`, `PetscOptionsView()`, `PetscOptionsHasName()`, `PetscOptionsGetInt()`, `PetscOptionsGetReal()`, `PetscOptionsGetString()`, `PetscOptionsGetIntArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`, `PetscOptionsInsertFile()`, `PetscOptionsInsertFileYAML()`

## Level

intermediate

## Location

src/sys/objects/optionsyaml.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages